import java.util.ArrayList;


public class EmployeeTest {

	/**
	 * This methos demonstrates the use of abstract classes by creating two instances of
	 * employee. One is a CommissionWorker and the other an HourlyWorker
	 */
	public static void main(String[] args) {

	      Employee ref;  // superclass reference
	      String output = "";
	      ArrayList<Employee> staff = new ArrayList<Employee>();

	      CommissionWorker c =
	         new CommissionWorker( "Sue", "Jones",
	                               400.0, 3.0, 150);
	      HourlyWorker h =
	         new HourlyWorker( "Karen", "Price", 13.75, 40 );

	      ref = c;  // Employee reference to a CommissionWorker
	      output += ref.toString() + " earned $" +
	                ref.earnings() + "\n" +
	                c.toString() + " earned $" +
	                c.earnings() + "\n";
	      System.out.println( output );
	   
	      ref = h;  // Employee reference to an HourlyWorker
	      output += ref.toString() + " earned $" +
	                ref.earnings() + "\n" +
	                h.toString() + " earned $" +
	                h.earnings() + "\n";
	      System.out.println( output );
	      
	      System.out.println("Show use of array list.");
	      staff.add(h);
	      staff.add(c);
	      
	      for ( Employee e: staff )
	      {
	    	  System.out.println( e.toString( ) + " earned $" +
		                e.earnings());
	      }

	}

}
